Watch, Follow, &
Connect with Us

For forums, blogs and more please visit our
Developer Tools Community.


Welcome, Guest
Guest Settings
Help

Thread: How to install & run IOS Simulator 7.1?


This question is answered. Helpful answers available: 2. Correct answers available: 1.


Permlink Replies: 3 - Last Post: Apr 29, 2015 1:50 PM Last Post By: Adam Jefferson Threads: [ Previous | Next ]
Adam Jefferson

Posts: 9
Registered: 6/10/01
How to install & run IOS Simulator 7.1?  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Apr 25, 2015 9:45 AM
I understand the IOS 8 simulators are not supported yet with Delphi XE8, but how do I get XE8 to use the IOS 7.1 simulator instead?

I have the latest Xcode version installed (6.3.1) with the 8.2, 8.1 and 7.1 simulators installed but Delphi always runs the latest 8.3 simulator even when I select a device with a 7.1 target as the target platform.

Do I have to remove xCode and install an older version to make 7.1 the default? If so, which version should I use (I'm running Yosemite 10.10.3)

When I install the IOS Simulator SDK in the Delphi SDK Manager I'm only offered 8.3 as the version...

Many thanks,

Adam
Adam Jefferson

Posts: 9
Registered: 6/10/01
Re: How to install & run IOS Simulator 7.1?  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Apr 29, 2015 7:38 AM   in response to: Adam Jefferson in response to: Adam Jefferson
Adam Jefferson wrote:
I understand the IOS 8 simulators are not supported yet with Delphi XE8, but how do I get XE8 to use the IOS 7.1 simulator instead?

I have the latest Xcode version installed (6.3.1) with the 8.2, 8.1 and 7.1 simulators installed but Delphi always runs the latest 8.3 simulator even when I select a device with a 7.1 target as the target platform.

Do I have to remove xCode and install an older version to make 7.1 the default? If so, which version should I use (I'm running Yosemite 10.10.3)

When I install the IOS Simulator SDK in the Delphi SDK Manager I'm only offered 8.3 as the version...

Many thanks,

Adam

Seriously? 56 views on this question over 4 days and nobody knows the answer???

I'm not sure what this says about the state of forum, or our knowledge of the product or the usability of the product.

Does nobody know how to setup a supported configuration for running the IOS simulator?

Adam
Borja Serrano

Posts: 172
Registered: 1/10/13
Re: How to install & run IOS Simulator 7.1?  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Apr 29, 2015 8:28 AM   in response to: Adam Jefferson in response to: Adam Jefferson
If you really need the iOS simulator you need to install XCode 6.1.1 or below. Afterwards you have to install the iOS 7.x simulator using Xcode->Preferences->Downloads.

You can get previous versions of XCode here: https://developer.apple.com/downloads/index.action?name=Xcode

Hope this helps
Adam Jefferson

Posts: 9
Registered: 6/10/01
Re: How to install & run IOS Simulator 7.1?  
Click to report abuse...   Click to reply to this thread Reply
  Posted: Apr 29, 2015 1:50 PM   in response to: Borja Serrano in response to: Borja Serrano
Borja Serrano wrote:
If you really need the iOS simulator you need to install XCode 6.1.1 or below. Afterwards you have to install the iOS 7.x simulator using Xcode->Preferences->Downloads.

You can get previous versions of XCode here: https://developer.apple.com/downloads/index.action?name=Xcode

Hope this helps

Thanks for taking the time to respond. I tried removing all traces of Xcode 6.2 and installing 6.1.1 but couldn't get rid of the 8.2 simulator, despite clearing out the caches, etc.

I gave up with this and installed Xcode 5.1.1 instead. This has the 7.1 simulator and seems to work fine with Delphi XE8.

Many thanks for your help.

Adam
Legend
Helpful Answer (5 pts)
Correct Answer (10 pts)

Server Response from: ETNAJIVE02